<?php 
	session_start();	
	include ('config.php'); 
	require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;
	$thisPageTitle = "About";
?>

<html>

<head>
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";
	?>
	<?php include ('includes/header.php'); ?>
</head>

<body>
		
	<?php include ('./includes/loggedinfo.php'); ?>		

	<table class=whiteHeader>
		<tr>
		<td>
			<img width=40% src="./images/company.png"><br/>
			sWADAH is developed by Perpustakaan Tuanku Bainun, Universiti Pendidikan Sultan Idris and 
			it is targetted as an alternative digital repository for institutions. It features an easy to deploy system, 
			easy to manage web based file repository system, following Google Scholar inclusion guideline, 
			support OAI-PMH and also with fast, reliable and user-friendly interface.<br/><br/>
			For build numbering please refer to the footer part of this page.<br/><br/>
			For questions, send them to <a href='mailto:asyrani@upsi.edu.my'>asyrani@upsi.edu.my</a><br/><br/>
		</td>
		</tr>
	</table>

	<hr>
	
	<div style='text-align:center;'>
	<?php
		include ('./includes/footer.php');
	?>
	</div>

</body>	

</html>