<?php
	function getTitle($accessnum)
	{	
		$queryC = "select 38title from eg_item where 38accessnum='$accessnum'";
		$resultC = mysqli_query($GLOBALS["conn"],$queryC);							
		$myrowC = mysqli_fetch_array($resultC);
	
		if (mysqli_num_rows($resultC) >= 1) return $myrowC["38title"];
		else return "";
	}

	function getDischargeStatus($username,$accessnum)
	{
		$query_discharge = "select 40dc from eg_item_charge where 39patron='$username' and 38accessnum='$accessnum'";
		$result_discharge = mysqli_query($GLOBALS["conn"],$query_discharge);
		$myrow_discharge = mysqli_fetch_array($result_discharge);													
		return $myrow_discharge["40dc"];	
	}

	function getUserInfo($username,$system_helpdesk_contact)
	{
		$queryB = "select name,username,division,lastlogin from eg_auth where username='$username'";
		$resultB = mysqli_query($GLOBALS["conn"],$queryB);							
		$myrowB = mysqli_fetch_array($resultB);
	
		$text = "Logged as : <span style='color:green;'>".$myrowB["name"]."</span>";
		$text .= "<br/>Identification ID : ".$myrowB["username"];
		$text .= "<br/>From : ".$myrowB["division"];
		$text .= "<br/>Last login: ".$myrowB["lastlogin"];
		$text .= "<br/><br/><i>To change any of these information, kindly contact: $system_helpdesk_contact</i>";
		return $text;
	}
	function getUserType($patron_id)
	{
		$queryT = "select usertype from eg_auth where username='$patron_id'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT = mysqli_fetch_array($resultT);
		return $myrowT["usertype"];
	}
		
	function isPatronEligibility($patron_id)
	{
		$queryT = "select count(39patron) as countStillLoan from eg_item_charge where 39patron='$patron_id' and 40dc!='DC'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT = mysqli_fetch_array($resultT);
		
		$queryS = "select max_loanitem from eg_auth_eligibility where usertype='".getUserType($patron_id)."'";
		$resultS = mysqli_query($GLOBALS["conn"],$queryS);
		$myrowS = mysqli_fetch_array($resultS);
		
		if ($myrowT["countStillLoan"] < $myrowS["max_loanitem"])
			return "TRUE";
		else
			return "FALSE";			
	}

	function namePatron($pid)
	{
		$queryT = "select name from eg_auth where id='$pid'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT = mysqli_fetch_array($resultT);
		return $myrowT["name"];
	}

	function getFullNameFromUserIdentity($useridentity)
	{
		$queryName = "select fullname from eg_auth_depo where useridentity='$useridentity'";
		$resultName = mysqli_query($GLOBALS["conn"],$queryName);
		$myrowName = mysqli_fetch_array($resultName);
		return $myrowName['fullname'];
	}

	function namePatronfromUsername($username)
	{
		$queryT = "select name from eg_auth where username='$username'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT = mysqli_fetch_array($resultT);
		if (mysqli_num_rows($resultT) >= 1) return $myrowT["name"];
		else return "";
	}

	function patronIdToUsername($pid)
	{
		$queryT = "select username from eg_auth where id='$pid'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT = mysqli_fetch_array($resultT);
		return $myrowT["username"];
	}

	function accessnumToID($accessnum)
	{
		$queryT = "select id from eg_item where 38accessnum='$accessnum'";
		$resultT = mysqli_query($GLOBALS["conn"],$queryT);
		$myrowT = mysqli_fetch_array($resultT);
		if (mysqli_num_rows($resultT) >= 1) return $myrowT["id"];
		else return "";
	}
		
	//below function will use microtime as accession number
	function millitime() {
		$microtime = microtime();
		$comps = explode(' ', $microtime);
		return sprintf('%d%03d', $comps[1], $comps[0] * 1000);
	}

	function getTypeNameFromID($id)
	{
		$queryType = "select 38type from eg_item_type where 38typeid = '$id'";
		$resultType = mysqli_query($GLOBALS["conn"],$queryType);
		$myrowType = mysqli_fetch_array($resultType);
		return $myrowType["38type"];
	}

	function getDownloadHitsPerItemID($id)
	{
		$query_download = "select count(id) as downloadhits from eg_item_download where eg_item_id=$id";
		$result_download = mysqli_query($GLOBALS["conn"],$query_download);
		$myrow_download = mysqli_fetch_array($result_download);		
		return $myrow_download["downloadhits"];	
	}

	function getBaseUrl() 
	{
		// output: /myproject/index.php
		$currentPath = $_SERVER['PHP_SELF']; 

		// output: Array ( [dirname] => /myproject [basename] => index.php [extension] => php [filename] => index ) 
		$pathInfo = pathinfo($currentPath); 

		// output: localhost
		$hostName = $_SERVER['HTTP_HOST']; 

		// output: http://
		$protocol = strtolower(substr($_SERVER["SERVER_PROTOCOL"],0,5))=='https://'?'https://':'http://';

		// return: http://localhost/myproject/
		return $protocol.$hostName.$pathInfo['dirname']."/";
	}

	function just_clean($string)
	{
		$specialCharacters = array(
		'#' => '',
		'$' => '',
		'%' => '',
		'&' => '',
		'@' => '',
		'.' => '',
		'�' => '',
		'+' => '',
		'=' => '',
		'�' => '',
		'\\' => '',
		'/' => '',
		//'-' => '',
		);

		/*
		while (list($character, $replacement) = each($specialCharacters)) {
		$string = str_replace($character, '' . $replacement . '', $string);
		}*/
		foreach($specialCharacters as $character => $replacement) {
			$string = str_replace($character, '' . $replacement . '', $string);
		}

		// Remove all remaining other unknown characters
		$string = preg_replace('/[^a-zA-Z0-9\-]/', '', $string);
		$string = preg_replace('/^[\-]+/', '', $string);
		$string = preg_replace('/[\-]+$/', '', $string);
		$string = preg_replace('/[\-]{2,}/', '', $string);
		//$string = preg_replace("/\"/",'',$string);

		return $string;
	}

	function getSubjectHeadingNames($subject_heading_delimiter,$subjectheading)
	{
		$subjectheadings = explode($subject_heading_delimiter, $subjectheading);
		$total = count($subjectheadings) - 1;
		$i = 1;
		$returnSH = "";
		foreach($subjectheadings as $subjectheading) 
		{		
			$subjectheading = trim($subjectheading);
			$query_subject = "select 43subject from eg_subjectheading where 43acronym = '$subjectheading'";
			$result_subject = mysqli_query($GLOBALS["conn"],$query_subject);
			$myrow_subject = mysqli_fetch_array($result_subject);										
			if (isset($myrow_subject["43subject"])) $returnSH .= $myrow_subject["43subject"];
			if ($i < $total)
				$returnSH .= "<br/>";
			$i=$i+1;
		}	
		return $returnSH;
	}

	function getSubjectHeadingNameFromAcronym($acronym)
	{
		$query_subject = "select 43subject from eg_subjectheading where 43acronym='$acronym'";						
		$result_subject = mysqli_query($GLOBALS["conn"],$query_subject);
		$row_subject = mysqli_fetch_array($result_subject);
		$num_results_affected = mysqli_num_rows($result_subject);
		if ($num_results_affected >= 1) return $row_subject['43subject'];
		else return "N/A";
	}

	function highlight($text, $words) {    
		$words = trim($words);
		$wordsArray = explode(' ', $words);
		foreach($wordsArray as $word) {			
			if(strlen(trim($word)) > 2)
			{	
				$word = just_clean($word);//remove unwanted special characters, replace it with nothing
				if ($word != '')
					{
						$hlstart = '<span style="background-color:yellow;">';
						$hlend = '</span>';
						$text = preg_replace("/$word/i", $hlstart.'\\0'.$hlend, $text);//php7
					}
			}
		}
		return $text;
	} 

	function getmicrotime()
	{
		list($usec, $sec) = explode(" ",microtime());
		return ((float)$usec + (float)$sec);
	} 

	function timetaken($timelog)
	{
		$now_array = explode(' ',date("D d/m/Y h:i a"));
		$lasttime_array = explode(' ',$timelog);				
		
		$now_ampm = explode(':',$now_array[2]);
		if (($now_array[3] == 'pm'))
			{							
				if ($now_ampm[0] <> 12)
					$now_ampm[0] = $now_ampm[0]+12;							
			}

		$now_array[2]=$now_ampm[0].":".$now_ampm[1];
	
		$lasttime_ampm = explode(':',$lasttime_array[2]);
		if (($lasttime_array[3] == 'pm'))
			{							
				if ($lasttime_ampm[0] <> 12)
					$lasttime_ampm[0] = $lasttime_ampm[0]+12;							
			}

		$lasttime_array[2]=$lasttime_ampm[0].":".$lasttime_ampm[1];
													
		$now_days = explode('/',$now_array[1]);
		$now_days = implode('-',$now_days);					
		$lasttime_days = explode('/',$lasttime_array[1]);
		$lasttime_days = implode('-',$lasttime_days);
		
		$now = strtotime(date($now_days." ".$now_array[2]));
		$lasttime = strtotime($lasttime_days." ".$lasttime_array[2]);
		
		$dateDiff = $now-$lasttime;
		$fullDays = floor($dateDiff/(60*60*24));
		$fullHours = floor(($dateDiff-($fullDays*60*60*24))/(60*60));
		$fullMinutes = floor(($dateDiff-($fullDays*60*60*24)-($fullHours*60*60))/60);

		return "$fullDays"."d, $fullHours"."h, $fullMinutes"."m";
	}

	function sendEmail($pathway,$mel_subject,$mel_body,$mel_address,$mel_success,$mel_failed)
	{
		include ("$pathway"."/config.php");
		require "$pathway"."/phpmailer/class.phpmailer.php";
		$mail = new PHPMailer(); 
		$mail->IsSMTP();
		$mail->SMTPDebug=1;//debugging: 1 = errors and messages, 2 = messages only
		$mail->SMTPAuth=true;
		$mail->SMTPSecure="$emailMode";
		$mail->Host="$emailHost";
		$mail->Port=$emailPort;
		$mail->IsHTML(true);
		$mail->Username="$emailUserName";
		$mail->Password="$emailPassword";
		$mail->SetFrom("$emailSetFrom", "$emailSetFromName");
		$mail->Subject="$mel_subject";
		$mail->Body="$mel_body";
		$mail->AddAddress("$mel_address");
		if(!$mail->Send())
			echo "$mel_failed";
		else					
			echo "$mel_success";
	}

	function getDepoStatus($itemstatus)
	{
		if ($itemstatus == "ENTRY") return "Pending Approval";
		else if ($itemstatus == "ACCEPTED") return "Accepted";
		else if ($itemstatus == "ARCHIVEDP") return "Live in Repository";
		else if ($itemstatus == "ARCHIVEDL") return "Archived for Limited Access";
		else if ($itemstatus == "R_INCOMPLETE") return "Rejected: Incomplete";
		else if ($itemstatus == "R_DUPLICATE") return "Rejected: Duplicate Entry";
		else if ($itemstatus == "R_CONTACT") return "Rejected: Contact Admin";
		else if ($itemstatus == "UPD_METADATA") return "Resubmission: Metadata Changes";
		else if ($itemstatus == "UPD_SUBMISSION") return "Resubmission: Digital File";
		else return "Unknown Status";
	}

	function getPDFPages($pdfInfoCmd,$document)
	{
		// Parse entire output and surround with double quotes if file name has spaces
		exec("$pdfInfoCmd \"$document\"", $output);
	
		// Iterate through lines
		$pagecount = 0;
		foreach($output as $op)
		{
			// Extract the number
			if(preg_match("/Pages:\s*(\d+)/i", $op, $matches) === 1)
			{
				$pagecount = intval($matches[1]);
				break;
			}
		}
	
		return $pagecount;
	}
?>