<?php 
	session_start();
	include ('config.php');
	include ('functions.php');
	require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;	
	$thisPageTitle = "$publisher_as Browser";
?>

<html>

<head>
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";
	?>	
	<?php include ('includes/header.php'); ?>
</head>

<body>

	<?php include ('./includes/loggedinfo.php'); ?>	

	<hr>
	
	<div style='text-align:center;'>
		<table class=whiteHeaderNoCenter>
			<tr class=yellowHeaderCenter><td colspan=2><b><?php echo $publisher_as;?> Browser</b><br/></td></tr>
			<tr>
				<?php
					
					$query_pub = "select 43pubid, 43acronym, 43publisher from eg_publisher";						
					$result_pub = mysqli_query($GLOBALS["conn"],$query_pub);
					$num_results_affected = mysqli_num_rows($result_pub);

					$n=1;
					while ($row_pub = mysqli_fetch_array($result_pub))
						{
							$id = $row_pub['43pubid'];
							$acronym = $row_pub['43acronym'];
							$publisher = $row_pub['43publisher'];

							$query_SubPub = "select count(id) as totalSubPub from eg_item2 where 38publication_b like '$publisher' ";		
							$result_SubPub = mysqli_query($GLOBALS["conn"],$query_SubPub);
							$myrow_SubPub = mysqli_fetch_array($result_SubPub);
							$count_SubPub = $myrow_SubPub["totalSubPub"];							

							if ($n == 1)
								echo "<td style='vertical-align:top;'>";
							
							if ($count_SubPub >= 1)
							{
								echo "<a class=thisonly href=\"publisherbrowser_details.php?subacr=$publisher\">$publisher ($count_SubPub)</a>";	
							}
							else
							{
								echo "<font color='#E4E4E4'>$publisher (0)</font>";
							}	

							echo "<br/><br/>";				
							
							if ($n == ceil($num_results_affected/2))
								echo "</td><td style='vertical-align:top;'>";									
							if ($n == $num_results_affected)
								echo "</td>";	
							$n=$n+1;				
						}
				?>
			</td></tr>
		</table>		
	</div>
	
	<hr>
	
	<?php include ('./includes/footer.php');?>
	
</body>

</html>