<?php 
	session_start(); 
	include ('../config.php');	
	include ('../includes/access_isset.php');
	$thisPageTitle = "IP Search Log Report";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>
	
	<?php include ('../includes/loggedinfo.php'); ?>
	
	<br/>

	<div style="text-align:center">

	<?php
		if (isset($_GET['page'])) $currentPage = $_GET['page'];
		include ('../includes/paging-p1.php');
			
		echo "<table class=whiteHeaderNoCenter style='width:480'>";
			echo "<tr class=yellowHeaderCenter><td colspan=4><b>IP search log sort by : </b>";		
				echo " <select name=\"sortby\" ONCHANGE=\"location = this.options[this.selectedIndex].value;\">";
					echo "<option value=\"adsreport_ipdetails.php?page=1&sortby=ip\"";
					if (isset($_GET["sortby"]) and $_GET["sortby"] == 'ip') 
						{
							echo " selected";
							$sortby = '38ipaddr';
							$sortbyf = 'ip';
						}
					echo ">IP</option>";
					echo "<option value=\"adsreport_ipdetails.php?page=1&sortby=hits\"";
					if (!isset($_GET["sortby"]) or $_GET["sortby"] == 'hits')
						{
							echo " selected";
							$sortby = 'total1c';
							$sortbyf = 'hits';
						}
					echo " >Hits</option>";                                                                
				echo "</select>";    
			echo "</td></tr>";
		
			$query_iplog = "select count(distinct id, substring_index(38ipaddr,'.',3)) as total1c, substring_index(38ipaddr,'.',3) as 38ipaddr from eg_userlog_det group by substring_index(38ipaddr,'.',3) order by $sortby desc LIMIT $offset, $rowsPerPage";
			$result_iplog = mysqli_query($GLOBALS["conn"],$query_iplog);
													
			$query_count = "select count(distinct substring_index(38ipaddr,'.',3)) as total from eg_userlog_det";		
			$result_count = mysqli_query($GLOBALS["conn"],$query_count);
			
			$paging_type = 2;
			include ('../includes/paging-p2.php');

			echo "<tr class=whiteHeaderNoCenter><td width=50><b></b></td><td width=150><b>IP Address</b></td><td width=80><b>Frequency</b></td><td><b>Last logged</b></td></tr>";
														
			$n = $offset + 1;
		
			while ($myrow_iplog = mysqli_fetch_array($result_iplog))
			{			
				$ipaddr = $myrow_iplog["38ipaddr"];			
				$total = $myrow_iplog["total1c"];
						
				$query_lastlog = "select 38logdate as last1d from eg_userlog_det where substring_index(38ipaddr,'.',3)='$ipaddr' ORDER BY id DESC LIMIT 1 ";
				$result_lastlog = mysqli_query($GLOBALS["conn"],$query_lastlog);
				$myrow_lastlog = mysqli_fetch_array($result_lastlog);
						
				echo "<tr class=yellowHover>";
				echo "<td><b>$n</b></td><td>$ipaddr.*</td><td>$total</td><td>".$myrow_lastlog["last1d"]."</td></tr>";
																												
				$n = $n +1 ;
			}
		echo "</table>";
		
		//-----------------------paging 3 start
		echo "<table class=whiteHeaderNoCenter style='width:480'>";
			echo "<tr>";
			if ($maxPage > 1)
			{
				if ($pageNum > 1)
				{
					$page = $pageNum - 1;
					$prev = " [ <a href=\"$self?page=$page&sortby=$sortbyf\">Prev</a> ] ";					
					$first = " [ <a href=\"$self?page=1&sortby=$sortbyf\">First</a> ] ";
				} 
				else
				{
					$prev  = ' [Prev] ';
					$first = ' [First] ';
				}
		
				if ($pageNum < $maxPage)
				{
					$page = $pageNum + 1;
					$next = " [ <a href=\"$self?page=$page&sortby=$sortbyf\">Next</a> ] ";					
					$last = " [ <a href=\"$self?page=$maxPage&sortby=$sortbyf\">Last</a> ] ";
				} 
				else
				{
					$next = ' [Next] ';
					$last = ' [Last] ';
				}
		
				echo "<td style='text-align:right;width:33%;'>" . $first . $prev . "</td><td style='text-align:center;width:34%;'> Page <strong>$pageNum</strong> of <strong>$maxPage</strong> </td><td style='text-align:left;width:33%;'>" . $next . $last . "</td>";
			}			
			echo "</tr>";
		echo "</table>";												
		//-------------- paging 3 ended	
	?>
		
		<br/>
		<br/><a class='sButton' href='adsreport.php?toggle=3'><i class='fas fa-arrow-circle-left'></i> Back to report page</a>	

	</div>	
	
	<hr>
			
	<?php include ('../includes/footer.php');?>
	
</body>

</html>