<?php 
	session_start();	
	include ('../config.php');	
	include ('../includes/access_isset.php');
	$thisPageTitle = "Bookmarking Activity Report";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>
	
	<?php include ('../includes/loggedinfo.php'); ?>				

	<br/>

	<div style="text-align:center">
	
		<?php			
			
			$hitsDate = $_GET['hitsDate'];			
		
			$query_fsb = "select SQL_CALC_FOUND_ROWS * from eg_item_charge where DATE_FORMAT(FROM_UNIXTIME(39charged_on), '%d/%m/%Y') like '%$hitsDate%' order by 39charged_on desc";
			$result_fsb = mysqli_query($GLOBALS["conn"],$query_fsb);
			
			$row_count = mysqli_fetch_row(mysqli_query($GLOBALS["conn"],"SELECT FOUND_ROWS()"));
			$num_results_affected = $row_count[0];
	
			echo "<table class=whiteHeaderNoCenter>";
				echo "<tr class=yellowHeaderCenter><td colspan=4>Total recorded bookmarks : <b>$num_results_affected</b> for <b>$hitsDate</b></td></tr>";
				echo "<tr class=whiteHeaderNoCenter style='text-decoration:underline;'><td></td><td><b>Item</b></td><td><b>Transaction Info</b></td><td><b>Transaction Date</b></td></tr>";
																
				$n = 1;
				
				while ($myrow_fsb = mysqli_fetch_array($result_fsb))
				{
					echo "<tr class=yellowHover>";
					
					$id_fsb = $myrow_fsb["id"];
					
					$accession_fsb = $myrow_fsb["38accessnum"];
						$query_title = "select 38title from eg_item where 38accessnum like '$accession_fsb'";
						$result_title = mysqli_query($GLOBALS["conn"],$query_title);
						$myrow_title = mysqli_fetch_array($result_title);
						
					$patron_fsb = $myrow_fsb["39patron"];
						$query_name = "select username, name from eg_auth where username like '$patron_fsb'";
						$result_name = mysqli_query($GLOBALS["conn"],$query_name);
						$myrow_name = mysqli_fetch_array($result_name);

					$chargedon_fsb = date('d/m/Y H:i:s',$myrow_fsb["39charged_on"]);											
					
					echo "<td>$n</td><td>".$myrow_title['38title']."</td><td>".$myrow_name["name"]." (".$myrow_name["username"].")</td><td>$chargedon_fsb</td></tr>";
																														
					$n = $n +1 ;
				}
			echo "</table>";			
															
		?>
		
		<br/><br/>
		<a class='sButton' href='adsreport.php?toggle=4'><i class='fas fa-arrow-circle-left'></i> Back to report page</a>				
	
	</div>	
	
	<hr>
	
	<?php include ('../includes/footer.php');?>

</body>

</html>