<?php 
	session_start();
	include ('config.php'); 
	include ('functions.php');		
	include ('includes/access_isset.php');
	require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;
	$thisPageTitle = "Manage User Deposit";
?>

<html>

<head>	
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";
	?>	
	<?php include ('includes/header.php'); ?>
</head>

<body>	
	<?php include ('navbar.php');?>

	<hr>

	<table class=whiteHeaderNoCenter width=100%>
	<tr style='text-align:center;'>
		<td>
			View: <a href='depoadmin.php?v=approved'>Approved</a> | <a href='depoadmin.php?v=rejected'>Rejected</a> | <a href='depoadmin.php?v=entry'>Entry/Re-entry</a><br/><br/>
			Showing: 
			<?php
				if (isset($_GET['v']) and $_GET['v'] == 'approved') echo "<span style='color:blue;'>Approved</span>";
				else if (isset($_GET['v']) and $_GET['v'] == 'rejected') echo "<span style='color:red;'>Rejected</span>";
				else echo "<span style='color:green;'>Entry/Re-entry</span>";
			?>
		</td>
	</tr>
	</table>

	<?php
		echo "<table class=whiteHeaderNoCenter>";	
		
			if (isset($_GET['v']) and $_GET['v'] == 'approved') $sqlappend = "where itemstatus like 'A%'";
			else if (isset($_GET['v']) and $_GET['v'] == 'rejected') $sqlappend = "where itemstatus like 'R_%'";
			else $sqlappend = "where (itemstatus like 'E%' or itemstatus like 'UPD%')";
		
			$query_deposit = "select SQL_CALC_FOUND_ROWS * from eg_item_depo $sqlappend order by id";
			$result_deposit = mysqli_query($GLOBALS["conn"],$query_deposit);
			
			echo "<tr class=yellowHeaderCenter>";
				echo "<td width=50% colspan=2>Submission</td>";
				echo "<td width=10%>Publisher</td>";
				//echo "<td width=10%>Submission<br/>Declaration</td>";
				//echo "<td width=10%>Full<br/>Text</td>";
				echo "<td width=10%>Current Status</td>";			
			echo "</tr>";

			$n = 1;
			while ($myrow_deposit = mysqli_fetch_array($result_deposit))
			{
				$id = $myrow_deposit["id"];
				$authorname = $myrow_deposit["29authorname"];
				$titlestatement = $myrow_deposit["29titlestatement"];
				$dissertation_note_b = $myrow_deposit["29dissertation_note_b"];
				$publication_b = $myrow_deposit["29publication_b"];
				$year = $myrow_deposit["year"];
				$timestamp = $myrow_deposit["timestamp"];
				$itemstatus = $myrow_deposit["itemstatus"];
				$inputby = $myrow_deposit["inputby"];
				$inputbyName = getFullNameFromUserIdentity($myrow_deposit["inputby"]);

				//if ($myrow_deposit['29dfile'] == 'YES')
				//	$dfilelink = "<a target='blank' href='$system_dfile_directory/$year/$id"."_".$timestamp.".pdf'>Click</a>";
				//else
				//	$dfilelink = "N/A";
				
				//if ($myrow_deposit['29pfile'] == 'YES')
				//		$pfilelink = "<a target='blank' href='$system_pfile_directory/$year/$id"."_".$timestamp.".pdf'>Click</a>";
				//else
				//	$pfilelink = "N/A";
			
				echo "<tr class=yellowHover style='text-align:center;'>";
				echo "<td style='vertical-align:top;'>$n</td>";
				echo "<td style='text-align:left;vertical-align:top;'><font color=blue>$inputbyName ($inputby)</font><br/>$titlestatement<br/><font color=green>$dissertation_note_b</font><br/>[<a href='depodet.php?id=$id'>View Detail and Set Status</a>]</td>";
				echo "<td>$publication_b</td>";
				//echo "<td>$dfilelink</td>";
				//echo "<td>$pfilelink</td>";
				echo "<td>".getDepoStatus($itemstatus)."</td>";
				echo "</tr>";
				$n=$n+1;
			}

		echo "</table>";
	?>

	<hr>	

	<?php include ('./includes/footer.php');?>

</body>

</html>

<?php exit; ?>