<?php 
	session_start();
	include ('config.php'); 
	include ('functions.php');		
	include ('includes/access_isset.php');
	require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;
	$thisPageTitle = "Manage User Deposit";
?>

<html>

<head>	
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";
	?>	
	<?php include ('includes/header.php'); ?>
</head>

<?php

	if (isset($_REQUEST['s']) and $_REQUEST['s'] == 'Set')
	{
		$queryInfo = "select fullname,emailaddress from eg_auth_depo where useridentity='".$_REQUEST['useridentity']."'";
		$resultInfo = mysqli_query($GLOBALS["conn"],$queryInfo);
		$myrowInfo=mysqli_fetch_array($resultInfo);

		$queryInfoDepo = "select 29titlestatement from eg_item_depo where id=".$_REQUEST['id'];
		$resultInfoDepo = mysqli_query($GLOBALS["conn"],$queryInfoDepo);
		$myrowInfoDepo = mysqli_fetch_array($resultInfoDepo);
		
		if ($_REQUEST['itemstatus'] == "ENTRY") $cstatus = "<font color='green'>Pending Approval</font>";
		else if ($_REQUEST['itemstatus'] == "ACCEPTED") $cstatus = "<font color='blue'>Accepted</font>";
		else if ($_REQUEST['itemstatus'] == "ARCHIVEDP") $cstatus = "<font color='blue'>Live in Repository</font>";
		else if ($_REQUEST['itemstatus'] == "ARCHIVEDL") $cstatus = "<font color='blue'>Archived for Limited Access</font>";
		else if ($_REQUEST['itemstatus'] == "R_INCOMPLETE") $cstatus = "<font color='red'>Rejected: Incomplete</font>";
		else if ($_REQUEST['itemstatus'] == "R_DUPLICATE") $cstatus = "<font color='red'>Rejected: Duplicate Entry</font>";
		else if ($_REQUEST['itemstatus'] == "R_CONTACT") $cstatus = "<font color='red'>Rejected: Contact Admin</font>";
		else if ($_REQUEST['itemstatus'] == "UPD_METADATA") $cstatus = "<font color='green'>Resubmission: Metadata Changes</font>";
		else if ($_REQUEST['itemstatus'] == "UPD_SUBMISSION") $cstatus = "<font color='green'>Resubmission: Digital File</font>";
		else $cstatus = "Unknown Status";
		
		mysqli_query($GLOBALS["conn"],"update eg_item_depo set itemstatus='".$_REQUEST['itemstatus']."' where id=".$_REQUEST['id']);
		
		$mel_subject = "Current status for : ".$myrowInfoDepo['29titlestatement'];
		$mel_body = "Hi, ".$myrowInfo["fullname"]."<br/><br/>Item: <b><i>".$myrowInfoDepo['29titlestatement']."</i></b> current status is : <b>$cstatus</b>.";
			if ($_REQUEST['itemstatus'] == "ACCEPTED")
				$mel_body .= "<br/><br/>Please login into your account to view/print acceptance letter. [<a href='$system_domain"."depos/depologin.php'>Click here to login</a>]";
			$mel_body .= "<br/><br/>$emailFooter";
		$mel_address = $myrowInfo["emailaddress"];
		$mel_failed = "";
		$mel_success = "";
		sendEmail(".",$mel_subject,$mel_body,$mel_address,$mel_success,$mel_failed);

		echo "<script>alert('Status has been updated.');</script>";	
	}
?>

<body>	
	<?php include ('navbar.php');?>

	<hr>
	<div style="width:100%;text-align:center;">
	<?php
		$query_depodet = "select * from eg_item_depo where id=".$_REQUEST['id'];
		$result_depodet = mysqli_query($GLOBALS["conn"],$query_depodet);
		$myrow_depodet = mysqli_fetch_array($result_depodet);
		$num_results_affected = mysqli_num_rows($result_depodet);

		if ($num_results_affected >= 1)
		{
			$id = $myrow_depodet["id"];
			$authorname = $myrow_depodet["29authorname"];
			$titlestatement = $myrow_depodet["29titlestatement"];
			$dissertation_note_b = $myrow_depodet["29dissertation_note_b"];
			$publication_b = $myrow_depodet["29publication_b"];
			$pname1 = $myrow_depodet["29pname1"];
			$pname2 = $myrow_depodet["29pname2"];
			$pname3 = $myrow_depodet["29pname3"];
			$pname4 = $myrow_depodet["29pname4"];
			$pname5 = $myrow_depodet["29pname5"];
			$pname6 = $myrow_depodet["29pname6"];
			$pname7 = $myrow_depodet["29pname7"];
			$pname8 = $myrow_depodet["29pname8"];
			$pname9 = $myrow_depodet["29pname9"];
			$pname10 = $myrow_depodet["29pname10"];
			$abstract = $myrow_depodet["29abstract"];
			$accesscategory = $myrow_depodet["29accesscategory"];
			$year = $myrow_depodet["year"];
			$timestamp = $myrow_depodet["timestamp"];
			$itemstatus = $myrow_depodet["itemstatus"];
			$inputby = $myrow_depodet["inputby"];
			$inputbyName = getFullNameFromUserIdentity($myrow_depodet["inputby"]);

			echo "<table class=whiteHeaderNoCenter>";	
				echo "<tr class=yellowHeaderCenter>";
					echo "<td colspan=2>Details</td>";
				echo "</tr>";															
			
				if ($myrow_depodet['29dfile'] == 'YES')
					$dfilelink = "<a target='blank' href='$system_dfile_directory/$year/$id"."_".$timestamp.".pdf'>$system_dfile_directory/$year/$id"."_".$timestamp.".pdf</a>";
				else $dfilelink = "N/A";

				if ($myrow_depodet['29pfile'] == 'YES')
					$pfilelink = "<a target='blank' href='$system_pfile_directory/$year/$id"."_".$timestamp.".pdf'>$system_pfile_directory/$year/$id"."_".$timestamp.".pdf</a>";
				else $pfilelink = "N/A";
				
				echo "<tr><td width=200 bgcolor=lightgrey>Submission</td><td style='text-align:left;vertical-align:top;'><font color=blue>$inputbyName ($inputby)</font><br/>$titlestatement</td></tr>";
				echo "<tr><td bgcolor=lightgrey>Publisher and Degree Type</td><td style='text-align:left;vertical-align:top;'>$publication_b<br/><font color=green>$dissertation_note_b</font></td></tr>";
				if ($allow_declaration_submission == true)
					echo "<tr><td bgcolor=lightgrey>Submission Declaration Form</td><td>$dfilelink</td></tr>";
				echo "<tr><td bgcolor=lightgrey>Full Text</td><td>$pfilelink</td></tr>";
				if ($hide_additional_authors_entry == false) {
					echo "<tr><td bgcolor=lightgrey>Additional Authors</td><td>";
						if ($pname1 != '') echo "$pname1";
						if ($pname2 != '') echo ", $pname2";
						if ($pname3 != '') echo ", $pname3";
						if ($pname4 != '') echo ", $pname4";
						if ($pname5 != '') echo ", $pname5";
						if ($pname6 != '') echo ", $pname6";
						if ($pname7 != '') echo ", $pname7";
						if ($pname8 != '') echo ", $pname8";
						if ($pname9 != '') echo ", $pname9";
						if ($pname10 != '') echo ", $pname10";
				}
				echo "</td></tr>";
				echo "<tr style='text-align:left;vertical-align:top;'><td bgcolor=lightgrey>Abstract</td><td>$abstract</td></tr>";
				echo "<tr><td bgcolor=lightgrey>Access Category</td><td>$accesscategory</td></tr>";	
				echo "<tr><td bgcolor=lightgrey>Current Status</td>";
					echo "<td>";
						if ($itemstatus == "ENTRY") $entry = "selected";
						else if ($itemstatus == "ACCEPTED") $accepted = "selected";
						else if ($itemstatus == "ARCHIVEDP") $archivedp = "selected";
						else if ($itemstatus == "ARCHIVEDL") $archivedl =  "selected";
						else if ($itemstatus == "R_INCOMPLETE") $r_incomplete = "selected";
						else if ($itemstatus == "R_DUPLICATE") $r_duplicate = "selected";
						else if ($itemstatus == "R_CONTACT") $r_contact = "selected";
						echo "<form name='itemstatusform' action='depodet.php' method='post'>";
						echo "<input type='hidden' name='id' value='$id'>";
						echo "<select name='itemstatus'>";
							echo "<option $entry value='ENTRY'>Pending Approval</option>";
							echo "<option $accepted value='ACCEPTED'>Accepted</option>";
							echo "<option $archivedp value='ARCHIVEDP'>Live in Repository</option>";
							echo "<option $archivedl value='ARCHIVEDL'>Archived for Limited Access</option>";
							echo "<option $r_incomplete value='R_INCOMPLETE'>Rejected: Incomplete</option>";
							echo "<option $r_duplicate value='R_DUPLICATE'>Rejected: Duplicate Entry</option>";
							echo "<option $r_contact value='R_CONTACT'>Rejected: Contact Admin</option>";
						echo "</select>";
						echo " <input type='hidden' name='useridentity' value='$inputby'>";
						echo " <input type='submit' name='s' value='Set'/>";
						echo "</form>";
					echo "</td>";
				echo "</tr>";					
		
			echo "</table>";
		}
		else
			echo "<br/>Item is not available.<br/>";
	?>
	
	<br/>
	</div>

	<div style="width:100%;text-align:center;">
		<a class='sButton' href='depoadmin.php'><i class='fas fa-arrow-circle-left'></i> Back to previous page</a>
	</div>

	<hr>		
	<?php include ('./includes/footer.php');?>
</body>

</html>

<?php exit; ?>