<?php 
	session_start();	
	include ('../config.php');	
	include ('../includes/access_isset.php');
	$thisPageTitle = "Search Hits Report";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>
	
	<?php include ('../includes/loggedinfo.php'); ?>				
	
	<br/>
	
	<div style="text-align:center">
	
		<?php
		
			$hitsDate = $_GET['hitsDate'];			
			
			//---- ip filter for hits details -start
			$query_IP = "select count(distinct id, substring_index(38ipaddr,'.',3)) as total_ip, substring_index(38ipaddr,'.',3) as 38ipaddr from eg_userlog_det where 38logdate like '%$hitsDate%' group by substring_index(38ipaddr,'.',3) order by total_ip desc";
			$result_IP = mysqli_query($GLOBALS["conn"],$query_IP);			
			$tdIP = 1;
			
			echo "<table class=yellowHeader>";
			echo "<tr><td colspan=6>Search hits statistics per IP for <b>$hitsDate</b></td></tr>";
			echo "<tr style='background-color:#FFEE96'>";
			while ($myrow_IP = mysqli_fetch_array($result_IP))
			{
				$ipaddr = $myrow_IP["38ipaddr"];
				$total_ip = $myrow_IP["total_ip"];
				
				echo "<td><div style='text-align:center;font-size:12px;'>$ipaddr.* : $total_ip hits</div></td>";
				
				if ($tdIP % 6 == 0)
					echo "</tr><tr style='background-color:#FFEE96'>";
				$tdIP++;				
			}
			echo "</tr></table>";		
			//---- ip filter for hits details -end
						
			$query_fsb = "select SQL_CALC_FOUND_ROWS * from eg_userlog_det where 38logdate like '%$hitsDate%' order by id";
			$result_fsb = mysqli_query($GLOBALS["conn"],$query_fsb);
			
			$row_affected = mysqli_fetch_row(mysqli_query($GLOBALS["conn"],"SELECT FOUND_ROWS()"));
			$num_results_affected = $row_affected[0];																					
			
			echo "<br/>";
			echo "<table class=whiteHeaderNoCenter>";
				echo "<tr class=yellowHeaderCenter><td colspan=4>Total recorded search hits : <b>$num_results_affected</b> for <b>$hitsDate</b></td></tr>";
				echo "<tr class=whiteHeaderNoCenterUnderline><td></td><td><b>Terms</b></td><td><b>Lodged detail</b></td><td><b>IP Address</b></td></tr>";
																
				$n = 1;
				
				while ($myrow_fsb = mysqli_fetch_array($result_fsb))
				{
					echo "<tr class=yellowHover>";
					
					$id_fsb = $myrow_fsb["id"];
					$keyword_fsb = $myrow_fsb["38keyword"];
					$datelog_fsb = $myrow_fsb["38logdate"];							
					$ipaddr_fsb = $myrow_fsb["38ipaddr"];
					
					echo "<td>$n</td><td>$keyword_fsb</td><td>$datelog_fsb</td><td>$ipaddr_fsb</td></tr>";
																														
					$n = $n +1 ;
				}
			echo "</table>";
										
		?>
		
		<br/><br/>
		<a class='sButton' href='adsreport.php?toggle=3'><i class='fas fa-arrow-circle-left'></i> Back to report page</a>			
	
	</div>	
	
	<hr>
	
	<?php include ('../includes/footer.php');?>

</body>

</html>